Subject: Re: [PATCH v4 06/27] revision.[ch]: provide and start using a release_revisions()

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 01 Apr 2022 19:25:07 +0200

On Fri, Apr 01 2022, Phillip Wood wrote:

> Hi Ævar
>
> On 31/03/2022 02:11, Ævar Arnfjörð Bjarmason wrote:
>> The users of the revision.[ch] API's "struct rev_info" are a major
>> source of memory leaks in the test suite under SANITIZE=leak, which in
>> turn adds a lot of noise when trying to mark up tests with
>> "TEST_PASSES_SANITIZE_LEAK=true".
>> The users of that API are largely one-shot, e.g. "git log", so
>> arguably freeing the memory is a waste of time, but in many cases
>> they've actually been trying to free the memory, and just doing that
>> in a buggy manner.
>
> I've not looked that closely at these changes but builtin/log.c is not
> modified so I'm a bit confused by the mention of "git log" above.

Along with git-rev-list it's the main user-facing interface to
revision.c. I'll clarify that in a re-roll.